# Search Web

### Prerequisites

Requires a user auth token. See the [API Auth](/api/api-setup-text.md) section.

### Searching Data

Requires 1 parameter: `search`

Mindplug offers a smart endpoint which will be expanded in the future. For now it provides basic google search from select sources.

```typescript
import mindplug from "@/src/mindplugAPI"; // base instance

mindplug.post("/smart/web", {
    search: "What are the best use cases of blockchain?"
});
```

Returns 3 matching results for the search query, including an `image`, `url`, `title` and `description` for the returned sources.

### Sample Response

```json
[
    {
        "image": "https://miro.medium.com/v2/resize:fit:1200/1*kT6_ISaSXPAHQErpA1nf4w.png",
        "title": "Learn about alternative use cases for crypto | @blockchain",
        "url": "https://medium.com/blockchain/6-crypto-use-cases-we-love-9c032755d4a6",
        "description": "Nov 24, 2022 <b>...</b> 1. Charity ... As the popularity of <b>crypto</b> has grown, so has the desire to donate it. With charitable organizations starting to accept&nbsp;...",
        "isVideo": false
    },
    {
        "image": "https://miro.medium.com/v2/resize:fit:960/1*s4mjd-QOqAmN7V8lXgI4hA.jpeg",
        "title": "Building it Better: A Simple Guide to Blockchain Use Cases | by ...",
        "url": "https://medium.com/blockchain-at-berkeley/building-it-better-a-simple-guide-to-blockchain-use-cases-de494a8f5b60",
        "description": "Feb 5, 2018 <b>...</b> Criteria to Consider When Deciding on a <b>Blockchain Use Case</b> &middot; 1. Database &middot; 2. Transactors &middot; 3. Trust &middot; 4. Disintermediation &middot; 5. Transaction&nbsp;...",
        "isVideo": false
    },
    {
        "image": "https://miro.medium.com/v2/resize:fill:1200:632/g:fp:0.53:0.88/1*v53tXgDlzbteJjjY6fllxQ.jpeg",
        "title": "Security Token Offerings (STOs) — The first great use case for ...",
        "url": "https://medium.com/hv-capital/security-token-offerings-stos-the-first-great-use-case-for-blockchain-technology-1b9701acb070",
        "description": "Apr 11, 2019 <b>...</b> Is <b>crypto</b> dead? likely. But STOs could prove to be the first real <b>use case</b> for <b>blockchain</b> technology.",
        "isVideo": false
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindplug.io/api/search-web.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
